---
title: CSSTransformValue.toMatrix()
slug: Web/API/CSSTransformValue/toMatrix
tags:
  - API
  - CSS
  - CSS Typed Object Model API
  - CSSTransformValue
  - Experimental
  - Houdini
  - Method
  - toMatrix
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{Draft}}</div>

<p class="summary">The <strong><code>toMatrix()</code></strong> method of the {{domxref("CSSTransformValue")}} interface returns a {{domxref('DOMMatrix')}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>matrix</var> = CSSTransformValue.toMatrix();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None</p>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref('DOMMatrix')}} object.</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt>{{jsxref("TypeError")}}</dt>
 <dd>Raised if any lengths involved in generating the matrix are not compatible units with px (such as relative lengths or percentages).</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To Do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-csstransformvalue-tomatrix','toMatrix()')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSTransformValue.toMatrix")}}</p>
